Skip to main content
GET
/
v5
/
timeTracking
/
times
Get times
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/timeTracking/times \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.hurdlr.com/rest/v5/timeTracking/times"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.hurdlr.com/rest/v5/timeTracking/times', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "clientId": 123,
      "taskId": 123,
      "duration": 123,
      "id": 123,
      "invoiceId": 123,
      "description": "<string>",
      "date": "2023-12-25"
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records updated after the specified date.

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Query Parameters

year
integer<int32>

Year filter (YYYY) - returns all records for the specified year. Null will return all times tracked.

invoiceStatus
enum<string>[]

Invoice status filter - returns all times tracked for the specified invoice statuses. Null or empty list will default to NOT_INVOICED, DRAFTED, & INVOICED.

Available options:
NOT_INVOICED,
INVOICED,
DRAFTED
status
enum<string>[]

Status filter - returns all times tracked for the specified statuses. Null or empty list will default to ACTIVE.

Available options:
ACTIVE,
INACTIVE

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate